Bug 188848 - the reminder popup should have a timeout before accepting keystrokes
Summary: the reminder popup should have a timeout before accepting keystrokes
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-05 00:31 UTC by meyerm
Modified: 2020-03-24 13:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.14.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description meyerm 2009-04-05 00:31:44 UTC
Version:           3.5.9 (using 3.5.10, Gentoo)
Compiler:          Target: i686-pc-linux-gnu
OS:                Linux (i686) release 2.6.28-gentoo-r3

The reminder popup of korganizer is very helpful. But unfortunately it accepts inputs as soon as it appears. This means when I'm currently typing text pressing space or enter and the popups shows up it's closed immediately by my own keystrokes.

Would it be possible to deactivate the buttons for the first (let's just take a number) three seconds so that one has enough time seeing that popup and stopping typing?
Comment 1 Allen Winter 2020-03-24 11:58:32 UTC
Git commit 1a0fb7cd1e294a73322e18795af8ab7a17b936c3 by Allen Winter.
Committed on 24/03/2020 at 11:57.
Pushed by winterz into branch 'release/20.04'.

korgac/alarmdialog.cpp

prevent accidental button presses when the dialog pops-up
by putting the focus on the first selected reminder rather
than on the buttons (like dismiss).

Differential Revision: https://phabricator.kde.org/D28226

M  +7    -0    korgac/alarmdialog.cpp

https://commits.kde.org/korganizer/1a0fb7cd1e294a73322e18795af8ab7a17b936c3